RMMOD(8)

NAME
rmmod - remove a module from the Linux kernel

SYNOPSIS
rmmod [-fw] module...

DESCRIPTION
rmmod removes one or more modules from the kernel.

OPTIONS

-f  This option can be extremely dangerous: it has no effect unless CONFIG_MODULE_FORCE_UNLOAD was set when the kernel was compiled. With this option, you can remove modules which are being used, or which are not designed to be removed, or have been marked as unsafe.

-w  Normally, rmmod will refuse to unload modules which are in use. With this option, rmmod will isolate the module, and wait until the module is no longer used. Noone new will be able to use the module, but it's up to you to make sure the current users eventually finish with it.

SEE ALSO
insmod(8), lsmod(8)